#include "pch.h"
#include "log.h"
#include "node_changelog.h"
#include "layout.h"

Node* NodeChangelog::clone_instantiate() const
{
    return new NodeChangelog();
}

void NodeChangelog::init()
{
    SetPosition(0, 0);
    SetWidthP(100);
    SetHeightP(100);
    SetPositioning(YGPositionTypeAbsolute);
    m_template = (*m_manager)[const_hash("changelog")]->m_children[0]->clone();
    add_child(m_template);
    btn_ok = m_template->find<NodeButton>("btn-ok");
    btn_ok->on_click = [&](Node*) { destroy(); };
}

kEventResult NodeChangelog::handle_event(Event* e)
{
    return kEventResult::Consumed;
}
